
{-# LANGUAGE TemplateHaskell #-}

-- | Embedding of a default set of parameters. These are encoded in Vienna style and
-- use the Turner2004 set of parameters.

module Biobase.Vienna.Default
  ( turner2004GH
  ) where

import Data.FileEmbed
import qualified Data.ByteString.Char8 as B

import Biobase.Vienna.Import.ViennaPar
import Biobase.Turner.Tables
import Biobase.Vienna




defaultPars :: B.ByteString
defaultPars = $(embedFile "parfiles/Turner2004GH.par")

-- Turner entropy and enthalpy tables.

turner2004GH = importPar $ B.unpack defaultPars
